package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/8/18 16:30
 */
public enum ConceptTypeEnum implements KeyedNamed {
    All(0, "全部"),
    Disease(1, "诊断"),
    Drug(2, "药品"),
    LisPack(3, "检验套餐"),
    Lis(4, "检验明细"),
    Pacs(5, "检查"),
    Opeartion(6, "手术和操作");

    @Setter
    private int key;

    @Setter
    private String name;

    ConceptTypeEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static ConceptTypeEnum getEnum(int key) {
        for (ConceptTypeEnum item : ConceptTypeEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static ConceptTypeEnum getEnum(String name) {
        for (ConceptTypeEnum item : ConceptTypeEnum.values()) {
            if (item.name.equals(name)) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        ConceptTypeEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    public static int getKey(String name) {
        ConceptTypeEnum item = getEnum(name);
        return item != null ? item.key : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}