package com.diagbot.facade;

import com.diagbot.client.MrqcClient;
import com.diagbot.dto.AnalyzeRunDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.util.RespDTOUtil;
import com.diagbot.vo.AnalyzeCdsVO;
import com.diagbot.vo.AnalyzeRunVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;

import javax.validation.Valid;
import java.util.Map;

/**
 * @Description:
 * @author: gaodm
 * @time: 2020/7/28 9:57
 */
@Component
public class MrqcFacade {
    @Autowired
    private MrqcClient mrqcClient;

    public AnalyzeRunDTO analyzeRun(@Valid @RequestBody AnalyzeRunVO analyzeRunVO) {
        RespDTO<AnalyzeRunDTO> analyzeRunDTO = mrqcClient.analyzeRun(analyzeRunVO);
        RespDTOUtil.respNGDealCover(analyzeRunDTO, "远程调用病历质控接口失败");
        return analyzeRunDTO.data;
    }

    public Map<String, String> caseWritingPrompt(AnalyzeCdsVO analyzeCdsVO) {
        RespDTO<Map<String, String>> caseWritingDTO = mrqcClient.caseWritingPrompt(analyzeCdsVO);
        RespDTOUtil.respNGDealCover(caseWritingDTO, "远程调用病历质控接口失败");
        return caseWritingDTO.data;
    }
}
