package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author wangfeng
 * @Description: 病历保存
 * @date 2018年11月16日 下午3:35:05
 */
@Getter
@Setter
public class TemplateInfosVO {
    @NotBlank(message = "请输入模板名字")
    private String modeName;//模板名字
    @ApiModelProperty(hidden = true)
    private Long hospitalId = -1L;//医院ID
    @NotNull(message = "请输入性别")
    private Integer sex;//性别
    @NotNull(message = "请输入年龄")
    private Integer age;//年龄
    @NotBlank(message = "请输入病人姓名")
    private String patName;//病人姓名
    @NotBlank(message = "请输入医生姓名")
    private String doctorName;//医生姓名
    @NotBlank(message = "请输入门诊号")
    private String inquiryCode;//门诊号
    @NotBlank(message = "请输入卡号")
    private String cardNo;//卡号
    @NotBlank(message = "请输入科室名称")
    private String deptName;//科室名称
    @NotNull(message = "请输入就诊时间")
    private Date inquiryDate;//就诊时间
    @NotNull(message = "请输入预览文本")
    private String preview;//预览文本
    @NotBlank(message = "请输入模板数据")
    private String dataJson;//模板数据
}
